Bug 1233240 - Review Request: orocos-bfl - A framework for inference in Dynamic Bayesian Networks
Summary: Review Request: orocos-bfl - A framework for inference in Dynamic Bayesian Ne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 14:02 UTC by Till Hofmann
Modified: 2016-06-09 01:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-15 09:00:09 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Till Hofmann 2015-06-18 14:02:27 UTC
Spec URL: https://thofmann.fedorapeople.org/orocos-bfl.spec
SRPM URL: https://thofmann.fedorapeople.org/orocos-bfl-0.8.0-5.fc20.src.rpm

Description:
The Bayesian Filtering Library (BFL) provides an application independent
framework for inference in Dynamic Bayesian Networks, i.e., recursive
information processing and estimation algorithms based on Bayes' rule, such as
(Extended) Kalman Filters, Particle Filters, etc.  These algorithms can, for
example, be run on top of the Realtime Services, or be used for estimation in
Kinematics & Dynamics applications.


Fedora Account System Username: thofmann

There are a number of bugs which are fixed by the following patches and reported upstream:

missing libsuffix:
upstream bug report: http://bugs.orocos.org/show_bug.cgi?id=1058
patch: https://thofmann.fedorapeople.org/orocos-bfl.libsuffix.patch

missing version in soname:
upstream bug report: http://bugs.orocos.org/show_bug.cgi?id=1059
patch: https://thofmann.fedorapeople.org/orocos-bfl.soname-on-libsuffix.patch

library isn't linked against libginac:
upstream bug report: http://bugs.orocos.org/show_bug.cgi?id=1063
patch: https://thofmann.fedorapeople.org/orocos-bfl.linkginac-on-soname-on-libsuffix.patch



There are additional bugs which cannot be fixed with a downstream patch:

FSF address is incorrect: http://bugs.orocos.org/show_bug.cgi?id=1060
shared library calls exit(): http://bugs.orocos.org/show_bug.cgi?id=1061
unit test test_pdf fails on i686: http://bugs.orocos.org/show_bug.cgi?id=1064
unit test test_model fails on ARM: http://bugs.orocos.org/show_bug.cgi?id=1062

The failing test_pdf looks like a rounding error, thus we don't run the unit tests on i686 but we still provide an i686 package.

Due to the last bug, ARM is listed in ExcludeArch. Following the packaging guidelines [1], I will add a tracking bug once the package has been accepted.


I'm currently in contact with upstream to discuss whether the proposed soname is indeed wanted, or if a different naming scheme would be better.

All issues reported by rpmlint should be covered by the above patches and bug reports.

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10135808


A review would be highly appreciated!


[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures

Comment 1 Sören Möller 2015-06-19 19:22:12 UTC
I have tried to do a review of your package. But as I am not qualified/have the permissions to do reviews yet, this is just a comment for your information (and hopefully also helpful for the real reviewer).

I observed the following issues
MUST
[!]: In the deve-subpackage the headers are installed into a subfolder "bfl" instead of "orocos-bfl"
[!]: License field in the package spec file matches the actual license. (see details below)
[!]: rpmlint complains about a lot of wrong FSF adresses (as noted in the review request)
[!]: Package complies to the Packaging Guidelines (as result of the license problem)
SHOULD
[!]: Fully versioned dependency in subpackages if applicable. (see details below)
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified. (see details below)
EXTRA
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched. (see details below)

Note that there are a few points below, which I did not check as I was unabile/unsure how to do it.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
I looked for files marked as executables as well as for binary files and find nothing problematic. Althoug a few .eps images and source coude files have executable permissions
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
LGPL2+ or GPL2+ (but see next item)
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2)
     (with incorrect FSF address)", "Unknown or generated", "*No copyright*
     GPL (v2) (with incorrect FSF address)", "GPL (v2 or later) (with
     incorrect FSF address)", "LGPL (v2.1 or later)". 3 files have unknown
     license. Detailed output of licensecheck in /home/scren/review/1233240
     -orocos-bfl/licensecheck.txt
The COPYING file contains the LGPL2.1 and the Changelog writes that the license in 2005 was changed from GPL to LGPL. Bur the README and many source files still state the GPL. It is unclear which of those licenses the package is under.
[!]: License file installed when any subpackage combination is installed.
Only the main package install the license  file COPYING. The devel-subpackage requires this package, but the doc- and debuginfo-subpackages do not require the main packages, and can hence be installed without installing COPYING.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[?]: Package consistently uses macros (instead of hard-coded directory
     names).
Using hardcoded name of /sbin/ldconfig in %pre and %post
[?]: Package is named according to the Package Naming Guidelines.
I think the name follows the guidelines, but i wonder if "liborcos-bft" or something like this wouldmake more sense, as it is a library
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
It includes an ExcludeArch tag, bug is promised in review request
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
See above problems with the license
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
License file is present, but see above problems
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in orocos-
     bfl-devel , orocos-bfl-doc
The devel-subpackage only requires %{version} but not &{release}, the doc-subpackage does not require the main package at all.
[?]: Package functions as described.
Not able to heck, asis is a library and I do not have programs using it
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
The review request links to upstream bugs and gives reasons for patches, but neither the .patch-files nor the .spec do.
[-]: Scriptlets must be sane, if used.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
Fine, but I only tested this on x64_86
[?]: %check is present and all tests pass.
Fine, but I only tested this on x64_86. Checks disabled on i686
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 7536640 bytes in /usr/share
The doc-subpackage is relatively large and could possible be made .noarch
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: orocos-bfl-0.8.0-5.fc23.x86_64.rpm
          orocos-bfl-devel-0.8.0-5.fc23.x86_64.rpm
          orocos-bfl-doc-0.8.0-5.fc23.x86_64.rpm
          orocos-bfl-0.8.0-5.fc23.src.rpm
orocos-bfl.x86_64: W: shared-lib-calls-exit /usr/lib64/liborocos-bfl.so.0.8 exit@GLIBC_2.2.5
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/doc/orocos-bfl/README
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/licenses/orocos-bfl/COPYING
orocos-bfl-devel.x86_64: W: only-non-binary-in-usr-lib
orocos-bfl-devel.x86_64: W: no-documentation
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/particlesmoother.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/measurementmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/innovationCheck.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/sample/sample.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/kalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/iteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureParticleFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/discretesystemmodel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/EKparticlefilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/filterproposaldensity.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/backwardfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureBootstrapFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mixture.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mcpdf.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/EKF_proposaldensity.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_BOOST.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/extendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/filter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discreteconditionalpdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/particlefilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/systemmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/rng/rng.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/bootstrapfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/gaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discretepdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_constants.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/asirfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/uniform.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/rauchtungstriebel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_err.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_BOOST.h
4 packages and 0 specfiles checked; 55 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: orocos-bfl-debuginfo-0.8.0-5.fc23.x86_64.rpm
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discreteconditionalpdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/vector_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/smoother/rauchtungstriebel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/sample/sample.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/EKF_proposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/EKparticlefilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/gaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discreteconditionalpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/vector_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discretepdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/rng/rng.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/EKparticlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/bfl_constants.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/uniform.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/uniform.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/systemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/smoother/rauchtungstriebel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/linearanalyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/nonlinearanalyticconditionalgaussian_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/filterproposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/extendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/SRiteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/filterproposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/smoother/backwardfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/kalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/discretesystemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/matrix_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discretepdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/measurementmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/gaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/EKF_proposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/innovationCheck.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/extendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/matrix_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/filter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/rng/rng.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/vector_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/iteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/discretesystemmodel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/particlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/iteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/matrix_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/innovationCheck.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/mcpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/kalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticmeasurementmodel_gaussianuncertainty.cpp
1 packages and 0 specfiles checked; 70 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
orocos-bfl.x86_64: W: shared-lib-calls-exit /usr/lib64/liborocos-bfl.so.0.8 exit@GLIBC_2.2.5
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/doc/orocos-bfl/README
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/licenses/orocos-bfl/COPYING
orocos-bfl-devel.x86_64: W: only-non-binary-in-usr-lib
orocos-bfl-devel.x86_64: W: no-documentation
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/particlesmoother.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/measurementmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/innovationCheck.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/sample/sample.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/kalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/iteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureParticleFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/discretesystemmodel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/EKparticlefilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/filterproposaldensity.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/backwardfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureBootstrapFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mixture.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mcpdf.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/EKF_proposaldensity.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_BOOST.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/extendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/filter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discreteconditionalpdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/particlefilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/systemmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/rng/rng.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/bootstrapfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/gaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discretepdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_constants.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/asirfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/uniform.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/rauchtungstriebel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_err.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discreteconditionalpdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/vector_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/smoother/rauchtungstriebel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/sample/sample.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/EKF_proposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/EKparticlefilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/gaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discreteconditionalpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/vector_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discretepdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/rng/rng.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/EKparticlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/bfl_constants.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/uniform.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/uniform.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/systemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/smoother/rauchtungstriebel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/linearanalyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/nonlinearanalyticconditionalgaussian_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/filterproposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/extendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/SRiteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/filterproposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/smoother/backwardfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/kalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/discretesystemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/matrix_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/discretepdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/measurementmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/gaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/EKF_proposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/innovationCheck.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/extendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/matrix_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/filter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/rng/rng.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/vector_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/iteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/discretesystemmodel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/particlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/iteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/wrappers/matrix/matrix_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/conditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/innovationCheck.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/mcpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/filter/kalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bfl-0.8.0/src/model/analyticmeasurementmodel_gaussianuncertainty.cpp
4 packages and 0 specfiles checked; 125 errors, 3 warnings.



Requires
--------
orocos-bfl (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libginac.so.4()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

orocos-bfl-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    boost-devel
    ginac-devel
    liborocos-bfl.so.0.8()(64bit)
    orocos-bfl(x86-64)

orocos-bfl-doc (rpmlib, GLIBC filtered):



Provides
--------
orocos-bfl:
    liborocos-bfl.so.0.8()(64bit)
    orocos-bfl
    orocos-bfl(x86-64)

orocos-bfl-devel:
    orocos-bfl-devel
    orocos-bfl-devel(x86-64)
    pkgconfig(orocos-bfl)

orocos-bfl-doc:
    orocos-bfl-doc
    orocos-bfl-doc(x86-64)



Source checksums
----------------
http://people.mech.kuleuven.be/~tdelaet/bfl_tar/orocos-bfl-0.8.0-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : e5e14f8abbc4c38ca51f5ff97b36f66c69da3a706ee6276bcb151ada4c71195c
  CHECKSUM(SHA256) upstream package : e5e14f8abbc4c38ca51f5ff97b36f66c69da3a706ee6276bcb151ada4c71195c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1233240
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Till Hofmann 2015-06-22 07:42:38 UTC
Thank you for your comment! As it turns out, there is currently no active upstream maintainer, so it is unclear whether it still makes sense to package BFL. I hope this will come clear within the next days. Until then, I'll put the review on NotReady. Once this problem has been solved, I'll fix the issues you've found.

Comment 3 Till Hofmann 2015-09-06 13:29:47 UTC
Spec URL: https://thofmann.fedorapeople.org/orocos-bfl.spec
SRPM URL: https://thofmann.fedorapeople.org/orocos-bfl-0.8.99-1.20150905git927874e.fc22.src.rpm

Upstream is active again and all our patches have been included. I updated to a new git snapshot.

rpmlint will sometimes produce a warning for the Source URL. This is caused by the upstream server, which sometimes needs more time for a response. The URL is valid but sometimes timeouts occur.

Comment 4 Till Hofmann 2015-09-06 13:33:32 UTC
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10979538

Comment 5 Upstream Release Monitoring 2015-10-19 01:10:15 UTC
thofmann's scratch build of orocos-bfl-0.8.99-2.20150905git927874e.fc22.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11495103

Comment 6 Till Hofmann 2015-10-19 01:20:30 UTC
Spec URL: https://thofmann.fedorapeople.org/orocos-bfl.spec
SRPM URL: https://thofmann.fedorapeople.org/orocos-bfl-0.8.99-2.20150905git927874e.fc22.src.rpm

I've tried to fix all issues found by Sören:

(In reply to Sören Möller from comment #1)
> 
> I observed the following issues
> MUST
> [!]: In the deve-subpackage the headers are installed into a subfolder "bfl"
> instead of "orocos-bfl"
I do not think this is an issue as long there is no file conflict. I don't think the include directory must have the same name as the package. In contrast, changing the directory would possibly break existing code which expects the files to be in /usr/include/bfl.

> [!]: License field in the package spec file matches the actual license. (see
> details below)
I've contacted upstream per email to clear up the license. I think it is supposed to be LGPLv2, and they simply forgot to change all references.

> [!]: rpmlint complains about a lot of wrong FSF adresses (as noted in the
> review request)
This has been reported upstream, see above.

> [!]: Package complies to the Packaging Guidelines (as result of the license
> problem)
see above

> SHOULD
> [!]: Fully versioned dependency in subpackages if applicable. (see details
> below)
fixed

> [!]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified. (see details below)
Not relevant anymore, as all packages have been included upstream.
> EXTRA
> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched. (see details below)
Fixed by making the doc package noarch.

Comment 7 Till Hofmann 2016-05-03 12:52:38 UTC
Spec URL: https://thofmann.fedorapeople.org/orocos-bfl.spec
SRPM URL: https://thofmann.fedorapeople.org/orocos-bfl-0.8.99-4.20160503gitc1b18e3.fc23.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13903004

After talking to upstream, I changed the license to 'LGPLv2+ and LGPLv2+ with exceptions and GPLv2+' according to the license policy [1] and the results of licensecheck.

I also updated to the latest commit.

[1] http://www.orocos.org/orocos/license

Comment 8 Jerry James 2016-05-03 18:15:43 UTC
Issues
======
1. In multiple licensing scenarios, the package must contain a comment
   explaining the breakdown: see
   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

   This can be accomplished in several ways; see the link for some ideas.

2. Upstream has not fixed the incorrect FSF address issue.  This is not a
   blocker for the review.

3. The license file is not installed if only the -doc subpackage is installed.

4. If you are concerned about the quality of the documentation, there are a few
   steps you could take to improve it:
   a. Replace "BuildRequires: doxygen" with "BuildRequires: doxygen-latex"
   b. Add "BuildRequires: ghostscript-core"
   c. Change the definition of INCLUDE_PATH in Doxyfile from the empty string
      to /usr/include/boost.  Unfortunately, then doxygen can't find the
      standard header files, so you have to add the default g++ include paths
      to INCLUDE_PATH as well.  You can get these by running

      cpp -x c++ -v < /dev/null

      and looking at the lines of output between "#include <...> search starts
      here:" and "End of search list."  For example, you could do this just
      before running doxygen:

      includedirs=$(cpp -x c++ -v < /dev/null 2>&1 | sed -e '1,/#include <\.\.\.> search/d' -e '/End of search list/,$d' | tr '\n' ' ')
      sed -i "s|INCLUDE_PATH[[:blank:]]*= |&/usr/include/boost $includedirs|" Doxyfile

5. I wonder why one test failure on i386 warrants not running the tests for
   that platform, but one test failure on ARM warrants not building the package
   at all for that platform.  Can you explain?  (The explanation should
   probably go into a comment in the spec file.)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2)
     (with incorrect FSF address)", "Unknown or generated", "*No copyright*
     GPL (v2) (with incorrect FSF address)", "GPL (v2 or later) (with
     incorrect FSF address)", "LGPL (v2.1 or later)". 31 files have unknown
     license. Detailed output of licensecheck in /home/jamesjer/1233240
     -orocos-bfl/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: orocos-bfl-0.8.99-4.20160503gitc1b18e3.fc25.x86_64.rpm
          orocos-bfl-devel-0.8.99-4.20160503gitc1b18e3.fc25.x86_64.rpm
          orocos-bfl-doc-0.8.99-4.20160503gitc1b18e3.fc25.noarch.rpm
          orocos-bfl-debuginfo-0.8.99-4.20160503gitc1b18e3.fc25.x86_64.rpm
          orocos-bfl-0.8.99-4.20160503gitc1b18e3.fc25.src.rpm
orocos-bfl.x86_64: W: shared-lib-calls-exit /usr/lib64/liborocos-bfl.so.0.8 exit@GLIBC_2.2.5
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/licenses/orocos-bfl/COPYING
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/doc/orocos-bfl/README
orocos-bfl-devel.x86_64: W: only-non-binary-in-usr-lib
orocos-bfl-devel.x86_64: W: no-documentation
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/sample/sample.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/extendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureParticleFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/EKparticlefilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_BOOST.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/uniform.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/backwardfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureBootstrapFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mcpdf.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/kalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/systemmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discreteconditionalpdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/iteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/particlesmoother.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/gaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/measurementmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/bootstrapfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mixture.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_err.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_BOOST.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/filterproposaldensity.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/asirfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/filter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_constants.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/rauchtungstriebel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discretepdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/discretesystemmodel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/innovationCheck.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/particlefilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/rng/rng.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/EKF_proposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/rng/rng.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/EKF_proposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/gaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/gaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/EKF_proposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/sample/sample.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/linearanalyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/innovationCheck.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/rng/rng.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discretepdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/measurementmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/iteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/filterproposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/nonlinearanalyticconditionalgaussian_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/uniform.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/kalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/kalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/rauchtungstriebel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discretepdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/extendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discreteconditionalpdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/SRiteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/backwardfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/discretesystemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/filter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/particlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/innovationCheck.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/mcpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/EKparticlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/filterproposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/bfl_constants.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/systemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/EKparticlefilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/iteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/extendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/rauchtungstriebel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discreteconditionalpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/discretesystemmodel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/uniform.cpp
5 packages and 0 specfiles checked; 125 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: orocos-bfl-debuginfo-0.8.99-4.20160503gitc1b18e3.fc25.x86_64.rpm
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/filterproposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/mcpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discretepdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/measurementmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/rng/rng.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/filterproposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discretepdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/iteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/uniform.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/rng/rng.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/sample/sample.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/uniform.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/filter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/iteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/extendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discreteconditionalpdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/backwardfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/discretesystemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/kalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/extendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/particlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/linearanalyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/systemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/gaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/bfl_constants.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/EKparticlefilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/rauchtungstriebel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/kalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/rauchtungstriebel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/EKF_proposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/innovationCheck.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/EKF_proposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discreteconditionalpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/innovationCheck.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/gaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/EKparticlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/SRiteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/nonlinearanalyticconditionalgaussian_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/discretesystemmodel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_BOOST.cpp
1 packages and 0 specfiles checked; 70 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
orocos-bfl.x86_64: W: shared-lib-calls-exit /usr/lib64/liborocos-bfl.so.0.8 exit@GLIBC_2.2.5
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/licenses/orocos-bfl/COPYING
orocos-bfl.x86_64: E: incorrect-fsf-address /usr/share/doc/orocos-bfl/README
orocos-bfl-devel.x86_64: W: only-non-binary-in-usr-lib
orocos-bfl-devel.x86_64: W: no-documentation
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/filter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_err.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/gaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/sample/sample.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mcpdf.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/measurementmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/iteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/discretesystemmodel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/EKF_proposaldensity.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/bfl_constants.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/mixture.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/particlefilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/particlesmoother.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureParticleFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discretepdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/uniform.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/analyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/backwardfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/systemmodel.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/discreteconditionalpdf.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/histogramfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/bootstrapfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/asirfilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_BOOST.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/rng/rng.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/smoother/rauchtungstriebel.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_NEWMAT.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/innovationCheck.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/extendedkalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_LTI.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/EKparticlefilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/mixtureBootstrapFilter.cpp
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/matrix_wrapper.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/filter/kalmanfilter.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/wrappers/matrix/vector_BOOST.h
orocos-bfl-devel.x86_64: E: incorrect-fsf-address /usr/include/bfl/pdf/filterproposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/EKparticlefilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discretepdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/SRiteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/filterproposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/particlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/EKF_proposaldensity.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/discretesystemmodel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/rauchtungstriebel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/gaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/filterproposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/rng/rng.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/uniform.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/innovationCheck.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/nonlinearanalyticconditionalgaussian_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/kalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discretepdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/mcpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/iteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/innovationCheck.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/uniform.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/EKparticlefilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_BOOST.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/EKF_proposaldensity.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/SRiteratedextendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/matrix_wrapper.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/filter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/rauchtungstriebel.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/iteratedextendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/smoother/backwardfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian_additivenoise.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/matrix/vector_BOOST.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticsystemmodel_gaussianuncertainty.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/conditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discreteconditionalpdf.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/linearanalyticconditionalgaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/kalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/gaussian.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/bfl_constants.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/discreteconditionalpdf.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticsystemmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/linearanalyticconditionalgaussian.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/discretesystemmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/extendedkalmanfilter.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/sample/sample.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/filter/extendedkalmanfilter.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/analyticconditionalgaussian_additivenoise.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/analyticmeasurementmodel_gaussianuncertainty.h
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/measurementmodel.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/wrappers/rng/rng.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/pdf/nonlinearanalyticconditionalgaussian_ginac.cpp
orocos-bfl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/orocos-bayesian-filtering.git/orocos_bfl/src/model/systemmodel.cpp
4 packages and 0 specfiles checked; 125 errors, 3 warnings.



Requires
--------
orocos-bfl (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libginac.so.5()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

orocos-bfl-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    boost-devel
    ginac-devel
    liborocos-bfl.so.0.8()(64bit)
    orocos-bfl(x86-64)

orocos-bfl-debuginfo (rpmlib, GLIBC filtered):

orocos-bfl-doc (rpmlib, GLIBC filtered):



Provides
--------
orocos-bfl:
    liborocos-bfl.so.0.8()(64bit)
    orocos-bfl
    orocos-bfl(x86-64)

orocos-bfl-devel:
    orocos-bfl-devel
    orocos-bfl-devel(x86-64)
    pkgconfig(orocos-bfl)

orocos-bfl-debuginfo:
    orocos-bfl-debuginfo
    orocos-bfl-debuginfo(x86-64)

orocos-bfl-doc:
    orocos-bfl-doc



Source checksums
----------------
https://gitlab.mech.kuleuven.be/rob-estimation/orocos-bayesian-filtering/repository/archive.tar.gz?ref=c1b18e3cd8b6f57f05b08157f7b43ac0b304bd81#/orocos-bfl-c1b18e3cd8b6f57f05b08157f7b43ac0b304bd81.tar.gz :
  CHECKSUM(SHA256) this package     : d10536950d37ab238c7c60518f910eb2f54d69e7ad55a2191d22c10088070389
  CHECKSUM(SHA256) upstream package : d10536950d37ab238c7c60518f910eb2f54d69e7ad55a2191d22c10088070389


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1233240 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Till Hofmann 2016-05-05 10:51:37 UTC
Spec URL: https://thofmann.fedorapeople.org/orocos-bfl.spec
SRPM URL: https://thofmann.fedorapeople.org/orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc23.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13930772

Thank you for your comments.

(In reply to Jerry James from comment #8)
> Issues
> ======
> 1. In multiple licensing scenarios, the package must contain a comment
>    explaining the breakdown: see
>   
> https://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Multiple_Licensing_Scenarios
> 
>    This can be accomplished in several ways; see the link for some ideas.

Thanks for the link, I didn't know that. I actually had to change the license again after checking all files manually. All the GPLv2+ licensed files are tests which are not shipped. Also, the exception is on GPLv2 licensed files, not on LGPLv2+ licensed files. Now it should be correct and I also added an explanation why they use multiple licenses.

> 
> 3. The license file is not installed if only the -doc subpackage is
> installed.

Fixed.

> 
> 4. If you are concerned about the quality of the documentation, there are a
> few
>    steps you could take to improve it:
>    a. Replace "BuildRequires: doxygen" with "BuildRequires: doxygen-latex"
>    b. Add "BuildRequires: ghostscript-core"
>    c. Change the definition of INCLUDE_PATH in Doxyfile from the empty string
>       to /usr/include/boost.  Unfortunately, then doxygen can't find the
>       standard header files, so you have to add the default g++ include paths
>       to INCLUDE_PATH as well.  You can get these by running
> 
>       cpp -x c++ -v < /dev/null
> 
>       and looking at the lines of output between "#include <...> search
> starts
>       here:" and "End of search list."  For example, you could do this just
>       before running doxygen:
> 
>       includedirs=$(cpp -x c++ -v < /dev/null 2>&1 | sed -e '1,/#include
> <\.\.\.> search/d' -e '/End of search list/,$d' | tr '\n' ' ')
>       sed -i "s|INCLUDE_PATH[[:blank:]]*= |&/usr/include/boost
> $includedirs|" Doxyfile

Thanks, I did exactly that.

> 
> 5. I wonder why one test failure on i386 warrants not running the tests for
>    that platform, but one test failure on ARM warrants not building the
> package
>    at all for that platform.  Can you explain?  (The explanation should
>    probably go into a comment in the spec file.)

The test failure on i686 is merely a rounding issue:
> 2: pdf_test.cpp:1135:Assertion
> 2: Test name: PdfTest::testMixture
> 2: equality assertion failed
> 2: - Expected: 0.0590505944295115
> 2: - Actual  : 0.0590505944295115

Therefore I assume it's actually working, all other tests pass.

On the other hand, on ARM the test result is completely off:
> 5: model_test.cpp:99:Assertion
> 5: Test name: ModelTest::testDiscreteSystemModel
> 5: equality assertion failed
> 5: - Expected: 0.98
> 5: - Actual  : 0.005

To me, this looks like a bug and I cannot say if it's working on ARM. Therefore, I excluded ARM.
I also added more detailed explanations to the Spec file.

Comment 10 Jerry James 2016-05-05 19:58:33 UTC
(In reply to Till Hofmann from comment #9)
> The test failure on i686 is merely a rounding issue:
> > 2: pdf_test.cpp:1135:Assertion
> > 2: Test name: PdfTest::testMixture
> > 2: equality assertion failed
> > 2: - Expected: 0.0590505944295115
> > 2: - Actual  : 0.0590505944295115
> 
> Therefore I assume it's actually working, all other tests pass.
> 
> On the other hand, on ARM the test result is completely off:
> > 5: model_test.cpp:99:Assertion
> > 5: Test name: ModelTest::testDiscreteSystemModel
> > 5: equality assertion failed
> > 5: - Expected: 0.98
> > 5: - Actual  : 0.005
> 
> To me, this looks like a bug and I cannot say if it's working on ARM.
> Therefore, I excluded ARM.
> I also added more detailed explanations to the Spec file.

Okay, that makes sense.  I see no further issues, so this package is APPROVED.

Comment 11 Till Hofmann 2016-05-06 07:49:22 UTC
Thank you for reviewing!

Comment 12 Gwyn Ciesla 2016-05-06 16:52:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/orocos-bfl

Comment 13 Fedora Update System 2016-05-06 17:27:41 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6872b25da

Comment 14 Fedora Update System 2016-05-06 17:28:24 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc71aae72b

Comment 15 Fedora Update System 2016-05-06 17:29:09 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-875fbae2f8

Comment 16 Fedora Update System 2016-05-07 16:51:38 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-875fbae2f8

Comment 17 Fedora Update System 2016-05-07 16:55:41 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc71aae72b

Comment 18 Fedora Update System 2016-05-07 17:26:57 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6872b25da

Comment 19 Fedora Update System 2016-05-12 01:29:53 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-12 16:51:52 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-be5a82f610

Comment 21 Fedora Update System 2016-05-15 06:25:17 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-be5a82f610

Comment 22 Fedora Update System 2016-05-26 21:53:49 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-05-26 22:20:17 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-06-09 01:48:09 UTC
orocos-bfl-0.8.99-5.20160503gitc1b18e3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.